Subject: bug#10056: 24.0.91; `copy-to-register' does not deactivate the mark

From: Chong Yidong <[email-masked]>
Date: Mon, 21 Nov 2011 14:30:40 +0800

Dani Moncayo <[email-masked]> writes:

> Hello.
>
> According to (info "(emacs)Text Registers"), the mark should be
> deactivated at the end of the command `copy-to-register' (which is
> TRT; `C-w' behaves that way, for example).
>
> But I see that:
> * The mark (region) remains active after doing "C-x h C-x r s s" (from
> emacs -Q).
> * The command's docstring does not mention anything about this. It should, no?

I agree that the mark should be deactivated.  But the current behavior
has been in place for a long time, so this change can probably wait till
after the release.